import request from '@/utils/request'

// 查询工作中心月产能定义详情列表
export function listAps_wc_capacity_detail(query) {
  return request({
    url: '/aps/aps_wc_capacity_detail/list',
    method: 'get',
    params: query
  })
}

// 查询工作中心月产能定义详情详细
export function getAps_wc_capacity_detail(id) {
  return request({
    url: '/aps/aps_wc_capacity_detail/' + id,
    method: 'get'
  })
}

// 新增工作中心月产能定义详情
export function addAps_wc_capacity_detail(data) {
  return request({
    url: '/aps/aps_wc_capacity_detail',
    method: 'post',
    data: data
  })
}

// 修改工作中心月产能定义详情
export function updateAps_wc_capacity_detail(data) {
  return request({
    url: '/aps/aps_wc_capacity_detail',
    method: 'put',
    data: data
  })
}

// 删除工作中心月产能定义详情
export function delAps_wc_capacity_detail(id) {
  return request({
    url: '/aps/aps_wc_capacity_detail/' + id,
    method: 'delete'
  })
}
